ruby-multi-xml_0.6.0-1_all.deb


Advertisement

Description

ruby-multi-xml - generic swappable back-end for XML parsing in Ruby

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-multi-xml
Package version 0.6.0
Package release 1
Package architecture all
Package type deb
Installed size 51 B
Download size 12.82 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-multi-xml_0.6.0-1_all.deb 0.6.0 all Debian Main
ruby-multi-xml - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-multi-xml_0.6.0-1_all.deb
Source Package ruby-multi-xml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-multi-xml deb package:
    # sudo apt-get install ruby-multi-xml

Files

Path
/usr/lib/ruby/vendor_ruby/multi_xml.rb
/usr/lib/ruby/vendor_ruby/multi_xml/version.rb
/usr/lib/ruby/vendor_ruby/multi_xml/parsers/libxml.rb
/usr/lib/ruby/vendor_ruby/multi_xml/parsers/libxml2_parser.rb
/usr/lib/ruby/vendor_ruby/multi_xml/parsers/nokogiri.rb
/usr/lib/ruby/vendor_ruby/multi_xml/parsers/oga.rb
/usr/lib/ruby/vendor_ruby/multi_xml/parsers/ox.rb
/usr/lib/ruby/vendor_ruby/multi_xml/parsers/rexml.rb
/usr/share/doc/ruby-multi-xml/CONTRIBUTING.md
/usr/share/doc/ruby-multi-xml/README.md
/usr/share/doc/ruby-multi-xml/changelog.Debian.gz
/usr/share/doc/ruby-multi-xml/changelog.gz
/usr/share/doc/ruby-multi-xml/copyright
/usr/share/rubygems-integration/all/specifications/multi_xml-0.6.0.gemspec

Changelog

2017-12-05 - Cédric Boutillier <boutil@debian.org>
ruby-multi-xml (0.6.0-1) unstable; urgency=medium
* Team upload
* New upstream version 0.6.0
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Bump Standards-Version to 4.1.2 (no changes needed)
* Bump debhelper compatibility level to 10
* Run wrap-and-sort on packaging files
* Follow Github as the source to get the tests
* Refresh remove-simplecov.patch
* Drop rspec3.patch, applied upstream
* Fix tests for ruby-ox >= 2.4.13 (Closes: #882718)
* Suggests ruby-lixml, ruby-nokogir and ruby-ox
* Set Testsuite field to autopkgtest-pkg-ruby
2015-08-16 - Jonas Genannt <genannt@debian.org>
ruby-multi-xml (0.5.5-2) unstable; urgency=medium
* Team upload.
* bumped compat level to 9
* d/control:
- bumped standards version to 3.9.6
- wrap-sort
* patch for Rspec3 support (Closes: #794272)
2014-05-30 - Nitesh A Jain <niteshjain92@gmail.com>
ruby-multi-xml (0.5.5-1) unstable; urgency=low
* Team upload
* New upstream release 
* Updated remove-simplecov.patch
[ Cédric Boutillier ]
* Remove obsolete lintian override about missing upstream changelog
2013-12-23 - Christian Hofstaedtler <zeha@debian.org>
ruby-multi-xml (0.5.3-2) unstable; urgency=medium
* Team upload.
* Update Build-Depends for ruby2.0, drop ruby1.8 support
* Bump Standards-Version to 3.9.5 (no changes)
2013-05-27 - Praveen Arimbrathodiyil <praveen@debian.org>
ruby-multi-xml (0.5.3-1) unstable; urgency=low
* Initial release (Closes: #691189)

See Also

Package Description
ruby-multibitnums_0.1.4-2+b9_amd64.deb extension library for integers with arbitrary bit lengths
ruby-multipart-parser_0.1.1-2_all.deb simple parser for multipart MIME messages
ruby-multipart-post_1.2.0-2_all.deb multipart form post accessory for Net::HTTP
ruby-mustache_1.0.2-1_all.deb Mustache is a framework-agnostic way to render logic-free views
ruby-mustermann-grape_1.0.0-1_all.deb Grape syntax for Mustermann
ruby-mustermann_1.0.0-4_all.deb use patterns like regular expressions
ruby-mysql2_0.4.5-2+b2_amd64.deb simple, fast MySQL library for Ruby
ruby-nanotest_0.9.4.1-1_all.deb Exteremely minimal test framework
ruby-narray-miss_1.4.0-2_all.deb Additional class with processing of missing value to NArray
ruby-narray_0.6.1.2-2+b1_amd64.deb Numerical N-dimensional Array library for Ruby
ruby-naught_1.1.0-1_all.deb Naught is a toolkit for building Null Objects
ruby-ncurses_1.4.9-1+b3_amd64.deb ruby extension for the ncurses C library
ruby-nenv_0.3.0-2_all.deb convenient wrapper for Ruby's ENV
ruby-neovim_0.7.1-1_all.deb Ruby client for Neovim
ruby-nested-form_0.3.2-2_all.deb conveniently handle multiple models in a single form
Advertisement
Advertisement